from pydantic import BaseModel, ConfigDict, Field


class LicenseExceptionDTO(BaseModel):
    key: str = Field(..., min_length=1, max_length=10)
    description: str = Field(..., min_length=1, max_length=500)

    model_config = ConfigDict(from_attributes=True)
